---
lang: en
title: 'API docs: socketio.socketioconnectioncontext'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketioconnectioncontext.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoConnectionContext](./socketio.socketioconnectioncontext.md)

## SocketIoConnectionContext class

Request context for a socket.io request

<b>Signature:</b>

```typescript
export declare class SocketIoConnectionContext extends Context 
```
<b>Extends:</b> [Context](./context.context.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(socket, parent)](./socketio.socketioconnectioncontext._constructor_.md) |  | Constructs a new instance of the <code>SocketIoConnectionContext</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [socket](./socketio.socketioconnectioncontext.socket.md) |  | Socket |  |


